Subject: Re: [RFC PATCH v3 02/16] mm: Define __pte_leaf_size() to also take a PMD entry

From: Oscar Salvador <[email-masked]>
Date: Mon, 27 May 2024 06:52:45 +0200

On Sun, May 26, 2024 at 11:22:22AM +0200, Christophe Leroy wrote:
> On powerpc 8xx, when a page is 8M size, the information is in the PMD
> entry. So allow architectures to provide __pte_leaf_size() instead of
> pte_leaf_size() and provide the PMD entry to that function.
> 
> When __pte_leaf_size() is not defined, define it as a pte_leaf_size()
> so that architectures not interested in the PMD arguments are not
> impacted.
> 
> Only define a default pte_leaf_size() when __pte_leaf_size() is not
> defined to make sure nobody adds new calls to pte_leaf_size() in the
> core.
> 
> Signed-off-by: Christophe Leroy <[email-masked]>

thanks, this looks much cleaner.

Reviewed-by: Oscar Salvador <[email-masked]>

-- 
Oscar Salvador
SUSE Labs